{% extends 'user.html.twig' %}

{% block title %}Gérer les documents{% endblock %}

{% block body %}
<section class="container">
	<div class="row justify-content-md-center p-5">
		<h1>Gérer les documents</h1>
		<a href="{{ path("admin_document_ajout") }}" class="btn btn-outline-primary float-right d-md-block">+</a>
		<table class="table striped centered">
			<thead>
				<tr>
					<th>Nom du document</th>
					<th>Catégorie du document</th>
					<th class="text-center">Actions</th>
				</tr>
			</thead>
			<tbody>
			{% for document in documents %}
				<tr>
					<td>{{document.nomDocument}}</td>
					<td>{{document.categorie}}</td>
					<td class="text-center">
						<a href="{{ path("admin_document_show", {id:document.id}) }}" class="btn blue"><i class="bi bi-eye"></i></a>
						<a href="{{ path("admin_document_edit", {id: document.id}) }}" class="btn blue"><i class="bi bi-pencil-square"></i></a>
						<a href="{{ path("admin_document_supprimer", {id: document.id}) }}" class="btn primary press"><i class="bi bi-trash"></i></a>
					</td>
				</tr>
			{% endfor %}
			</tbody>
		</table>
	</div>
</section>
{% endblock %}